//
// 此文件是由 JavaTM Architecture for XML Binding (JAXB) 引用实现 v2.3.0 生成的
// 请访问 <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// 在重新编译源模式时, 对此文件的所有修改都将丢失。
// 生成时间: 2026.03.02 时间 03:10:34 PM CST 
//


package com.njcn.gather.icd.mapping.infrastructure.parser.generated;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>tRedProtEnum的 Java 类。
 * 
 * <p>以下模式片段指定包含在此类中的预期内容。
 * <p>
 * <pre>
 * &lt;simpleType name="tRedProtEnum"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}Name"&gt;
 *     &lt;enumeration value="none"/&gt;
 *     &lt;enumeration value="hsr"/&gt;
 *     &lt;enumeration value="prp"/&gt;
 *     &lt;enumeration value="rstp"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "tRedProtEnum")
@XmlEnum
public enum TRedProtEnum {

    @XmlEnumValue("none")
    NONE("none"),
    @XmlEnumValue("hsr")
    HSR("hsr"),
    @XmlEnumValue("prp")
    PRP("prp"),
    @XmlEnumValue("rstp")
    RSTP("rstp");
    private final String value;

    TRedProtEnum(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TRedProtEnum fromValue(String v) {
        for (TRedProtEnum c: TRedProtEnum.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
